com.io7m.smfj.format.binary.v1

## Interface SMFBv1CoordinateSystemsWritableType

- All Superinterfaces:
    com.io7m.jpra.runtime.java.JPRAValueType
  All Known Subinterfaces:
    SMFBv1CoordinateSystemsType
  All Known Implementing Classes:
    SMFBv1CoordinateSystemsByteBuffered

      public interface SMFBv1CoordinateSystemsWritableType
      extends com.io7m.jpra.runtime.java.JPRAValueType

  The writable interface to values of the `SMFBv1CoordinateSystemsWritableType` packed type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `set(int right, int up, int forward, int winding)` Set the value of all fields.
    `void` | `setForward(int x)` Set the value of the `forward` field.
    `void` | `setRight(int x)` Set the value of the `right` field.
    `void` | `setUp(int x)` Set the value of the `up` field.
    `void` | `setWinding(int x)` Set the value of the `winding` field.

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRAValueType

      `sizeOctets`

- - ### Method Detail

    - #### setRight

          void setRight(int x)

      Set the value of the `right` field. The 3 least significant bits of `x` will be used.
      Parameters:
        `x` - The new value

    - #### setUp

          void setUp(int x)

      Set the value of the `up` field. The 3 least significant bits of `x` will be used.
      Parameters:
        `x` - The new value

    - #### setForward

          void setForward(int x)

      Set the value of the `forward` field. The 3 least significant bits of `x` will be used.
      Parameters:
        `x` - The new value

    - #### setWinding

          void setWinding(int x)

      Set the value of the `winding` field. The 2 least significant bits of `x` will be used.
      Parameters:
        `x` - The new value

    - #### set

          void set(int right,
                   int up,
                   int forward,
                   int winding)

      Set the value of all fields.
      Parameters:
        `right` - The value for field `right`
        `up` - The value for field `up`
        `forward` - The value for field `forward`
        `winding` - The value for field `winding`

Copyright © 2017 <code@io7m.com> http://io7m.com